<?php
function whitish_lite_frontpage_features(){
	$whitish_lite_settings = whitish_lite_get_theme_options();
	if($whitish_lite_settings['whitish_lite_disable_features'] != 1){
		$whitish_lite_features = '';
		$whitish_lite_total_page_no = 0;
		$whitish_lite_list_page	= array();
		for( $i = 1; $i <= $whitish_lite_settings['whitish_lite_total_features']; $i++ ){
			if( isset ( $whitish_lite_settings['whitish_lite_frontpage_features_' . $i] ) && $whitish_lite_settings['whitish_lite_frontpage_features_' . $i] > 0 ){
				$whitish_lite_total_page_no++;

				$whitish_lite_list_page	=	array_merge( $whitish_lite_list_page, array( $whitish_lite_settings['whitish_lite_frontpage_features_' . $i] ) );
			}

		}
		if ( !empty( $whitish_lite_list_page ) && $whitish_lite_total_page_no > 0 ) {
			echo '<!-- Promotional Area ============================================= -->';
				$whitish_lite_features 	.= '<div class="promonational-area">';
								$get_featured_posts 		= new WP_Query(array(
								'posts_per_page'      	=> $whitish_lite_settings['whitish_lite_total_features'],
								'post_type'           	=> array('page'),
								'post__in'            	=> $whitish_lite_list_page,
								'orderby'             	=> 'post__in',
							));
					$whitish_lite_features .= '<div class="column clearfix">';
				$j = 1;
				while ($get_featured_posts->have_posts()):$get_featured_posts->the_post();
				$attachment_id = get_post_thumbnail_id();
				$image_attributes = wp_get_attachment_image_src($attachment_id,'whitish-lite-featured-page');
							$excerpt               	 	 = get_the_excerpt();
					$whitish_lite_features .= '<div class="three-column">';
					if ($image_attributes) {
						$whitish_lite_features 	.= '<div class="promonational-img" title="'.the_title('', '', false).'"' .'> <a class="promonational-link" href="'.esc_url(get_the_permalink()).'"></a>	';
						$whitish_lite_features .= '<img src="'.esc_url($image_attributes[0]).'">';
						$whitish_lite_features .= '<div class="promonational-overlay">
								<h4>'.esc_html(get_the_title()).'</h4></div></div>';
					}
					$whitish_lite_features 	.='</div><!-- end .three-column -->';
					$j++;
					endwhile;
					$whitish_lite_features 	.='</div><!-- .end column-->';
					$whitish_lite_features 	.='</div><!-- end .promonational-area -->';
				}

		$allowed_tags = wp_kses_allowed_html( 'post' );
		echo wp_kses($whitish_lite_features, $allowed_tags );
	}
		wp_reset_postdata();
}
add_action('whitish_lite_display_frontpage_features','whitish_lite_frontpage_features');
