<?php
/**
 * This template to displays woocommerce page
 *
 * @package Yudlee Themes
 * @subpackage Whitish Lite
 * @since Whitish Lite 1.0
 */

get_header();
	$whitish_lite_settings = whitish_lite_get_theme_options();
	global $whitish_lite_content_layout;
	if( $post ) {
		$layout = get_post_meta( $post->ID, 'whitish_lite_sidebarlayout', true );
	}
	if( empty( $layout ) || is_archive() || is_search() || is_home() ) {
		$layout = 'default';
	}
	if( 'default' == $layout ) { //Settings from customizer
		if(($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'nosidebar') && ($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'fullwidth')){ ?>

<div id="primary">
	<?php }
	}?>
	<main id="main">
		<?php woocommerce_content(); ?>
	</main> <!-- #main -->
	<?php
	if( 'default' == $layout ) { //Settings from customizer
		if(($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'nosidebar') && ($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'fullwidth')): ?>
</div> <!-- #primary -->
<?php endif;
}?>
<?php
if( 'default' == $layout ) { //Settings from customizer
	if(($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'nosidebar') && ($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'fullwidth')){ ?>
<div id="secondary">
	<?php }
}
	if( 'default' == $layout ) { //Settings from customizer
		if(($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'nosidebar') && ($whitish_lite_settings['whitish_lite_sidebar_layout_options'] != 'fullwidth')): ?>
		<?php dynamic_sidebar( 'whitish_lite_woocommerce_sidebar' ); ?>
</div> <!-- #secondary -->
<?php endif;
	}
get_footer(); ?>